Index: trunk/lib/FlairCore/src/SharedMem_impl.cpp
===================================================================
--- trunk/lib/FlairCore/src/SharedMem_impl.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/SharedMem_impl.cpp	(revision 15)
@@ -26,161 +26,148 @@
 using namespace flair::core;
 
-SharedMem_impl::SharedMem_impl(const SharedMem* self,string name,size_t size)
-{
-    this->size=size;
-    this->self=self;
+SharedMem_impl::SharedMem_impl(const SharedMem *self, string name,
+                               size_t size) {
+  this->size = size;
+  this->self = self;
 
 #ifdef __XENO__
-    heap_binded=false;
-    int status=rt_heap_create(&heap,name.c_str(),size,H_SHARED|H_FIFO|H_NONCACHED);
-    if(status==-EEXIST)
-    {
-        heap_binded=true;
-        status=rt_heap_bind(&heap,name.c_str(),TM_INFINITE);
-    }
-    if(status!=0)
-    {
-        self->Err("rt_heap_create error (%s)\n",strerror(-status));
-        return;
-    }
+  heap_binded = false;
+  int status = rt_heap_create(&heap, name.c_str(), size,
+                              H_SHARED | H_FIFO | H_NONCACHED);
+  if (status == -EEXIST) {
+    heap_binded = true;
+    status = rt_heap_bind(&heap, name.c_str(), TM_INFINITE);
+  }
+  if (status != 0) {
+    self->Err("rt_heap_create error (%s)\n", strerror(-status));
+    return;
+  }
 
-    void *ptr;
-    status=rt_heap_alloc(&heap,0,TM_NONBLOCK ,&ptr);
-    if(status!=0)
-    {
-        self->Err("rt_heap_alloc error (%s)\n",strerror(-status));
-    }
-    mem_segment =(char*)ptr;
+  void *ptr;
+  status = rt_heap_alloc(&heap, 0, TM_NONBLOCK, &ptr);
+  if (status != 0) {
+    self->Err("rt_heap_alloc error (%s)\n", strerror(-status));
+  }
+  mem_segment = (char *)ptr;
 
-    mutex_binded=false;
-    string mutex_name="mutex_"+ name;
-    status=rt_mutex_create(&mutex,mutex_name.c_str());
-    if(status==-EEXIST)
-    {
-        mutex_binded=true;
-        status=rt_mutex_bind(&mutex,mutex_name.c_str(),TM_INFINITE);
-    }
-    if(status!=0)
-    {
-        self->Err("rt_mutex_create error (%s)\n",strerror(-status));
-        return;
-    }
+  mutex_binded = false;
+  string mutex_name = "mutex_" + name;
+  status = rt_mutex_create(&mutex, mutex_name.c_str());
+  if (status == -EEXIST) {
+    mutex_binded = true;
+    status = rt_mutex_bind(&mutex, mutex_name.c_str(), TM_INFINITE);
+  }
+  if (status != 0) {
+    self->Err("rt_mutex_create error (%s)\n", strerror(-status));
+    return;
+  }
 
 #else
-    shm_name="/" + name;
-    fd = shm_open(shm_name.c_str(), O_RDWR | O_CREAT, 0666);
-    if (fd == -1)
-    {
-        self->Err("Error creating shared memory\n");
-    }
-    ftruncate(fd, size);
+  shm_name = "/" + name;
+  fd = shm_open(shm_name.c_str(), O_RDWR | O_CREAT, 0666);
+  if (fd == -1) {
+    self->Err("Error creating shared memory\n");
+  }
+  ftruncate(fd, size);
 
-    sem_name="/"  +name;
-    sem = sem_open(sem_name.c_str(), O_CREAT, 0666, 1);
-    if (sem == SEM_FAILED)
-    {
-        self->Err("Error creating semaphore\n");
-    }
+  sem_name = "/" + name;
+  sem = sem_open(sem_name.c_str(), O_CREAT, 0666, 1);
+  if (sem == SEM_FAILED) {
+    self->Err("Error creating semaphore\n");
+  }
 
-    mem_segment =(char*)mmap(NULL, size, PROT_READ | PROT_WRITE, MAP_SHARED, fd, 0);
-    if (mem_segment == MAP_FAILED)
-    {
-        self->Err("Failed to map memory\n");
-    }
+  mem_segment =
+      (char *)mmap(NULL, size, PROT_READ | PROT_WRITE, MAP_SHARED, fd, 0);
+  if (mem_segment == MAP_FAILED) {
+    self->Err("Failed to map memory\n");
+  }
 #endif
 }
 
-SharedMem_impl::~SharedMem_impl()
-{
-    int status;
+SharedMem_impl::~SharedMem_impl() {
+  int status;
 #ifdef __XENO__
-    /* unnecessary because heap is opened in H_SINGLE mode
-    status=rt_heap_free(&heap,mem_segment);
-    if(status!=0)
-    {
-        self->Err("rt_heap_free error (%s)\n",strerror(-status));
+  /* unnecessary because heap is opened in H_SINGLE mode
+  status=rt_heap_free(&heap,mem_segment);
+  if(status!=0)
+  {
+      self->Err("rt_heap_free error (%s)\n",strerror(-status));
+  }
+  */
+
+  if (heap_binded == false) {
+    status = rt_heap_delete(&heap);
+    if (status != 0) {
+      self->Err("rt_heap_delete error (%s)\n", strerror(-status));
     }
-    */
+  }
 
-    if(heap_binded==false)
-    {
-        status=rt_heap_delete(&heap);
-        if(status!=0)
-        {
-            self->Err("rt_heap_delete error (%s)\n",strerror(-status));
-        }
+  if (mutex_binded == false) {
+    status = rt_mutex_delete(&mutex);
+    if (status != 0) {
+      self->Err("error destroying mutex (%s)\n", strerror(-status));
     }
+  }
+#else
+  status = munmap(mem_segment, size);
+  if (status != 0) {
+    self->Err("Failed to unmap memory (%s)\n", strerror(-status));
+  }
 
-    if(mutex_binded==false)
-    {
-        status=rt_mutex_delete(&mutex);
-        if(status!=0)
-        {
-            self->Err("error destroying mutex (%s)\n",strerror(-status));
-        }
-    }
-#else
-    status = munmap(mem_segment, size);
-    if(status!=0)
-    {
-        self->Err("Failed to unmap memory (%s)\n",strerror(-status));
-    }
+  status = close(fd);
+  if (status != 0) {
+    self->Err("Failed to close file (%s)\n", strerror(-status));
+  }
 
-    status = close(fd);
-    if(status!=0)
-    {
-        self->Err("Failed to close file (%s)\n",strerror(-status));
-    }
+  // do not check erros as it can be done by another process
+  status = shm_unlink(shm_name.c_str()); /*
+   if(status!=0)
+   {
+       self->Err("Failed to unlink memory (%s)\n",strerror(-status));
+   }
+*/
+  // do not check erros as it can be done by another process
+  status = sem_unlink(sem_name.c_str()); /*
+   if(status!=0)
+   {
+       self->Err("Failed to unlink semaphore (%s)\n",strerror(-status));
+   }*/
 
-    //do not check erros as it can be done by another process
-    status = shm_unlink(shm_name.c_str());/*
-    if(status!=0)
-    {
-        self->Err("Failed to unlink memory (%s)\n",strerror(-status));
-    }
-*/
-    //do not check erros as it can be done by another process
-    status = sem_unlink(sem_name.c_str());/*
-    if(status!=0)
-    {
-        self->Err("Failed to unlink semaphore (%s)\n",strerror(-status));
-    }*/
-
-    status = sem_close(sem);
-    if(status!=0)
-    {
-        self->Err("Failed to close semaphore (%s)\n",strerror(-status));
-    }
+  status = sem_close(sem);
+  if (status != 0) {
+    self->Err("Failed to close semaphore (%s)\n", strerror(-status));
+  }
 #endif
 }
 
-
-void SharedMem_impl::Write(const char* buf,size_t size)
-{
+void SharedMem_impl::Write(const char *buf, size_t size) {
 #ifdef __XENO__
-    int status=rt_mutex_acquire(&mutex,TM_INFINITE);
-    if(status!=0) self->Err("error (%s)\n",strerror(-status));
-    memcpy(mem_segment,buf,size);
-    status=rt_mutex_release(&mutex);
-    if(status!=0) self->Err("error (%s)\n",strerror(-status));
+  int status = rt_mutex_acquire(&mutex, TM_INFINITE);
+  if (status != 0)
+    self->Err("error (%s)\n", strerror(-status));
+  memcpy(mem_segment, buf, size);
+  status = rt_mutex_release(&mutex);
+  if (status != 0)
+    self->Err("error (%s)\n", strerror(-status));
 #else
-    sem_wait(sem);
-    memcpy(mem_segment,buf,size);
-    sem_post(sem);
+  sem_wait(sem);
+  memcpy(mem_segment, buf, size);
+  sem_post(sem);
 #endif
 }
 
-void SharedMem_impl::Read(char* buf,size_t size)
-{
+void SharedMem_impl::Read(char *buf, size_t size) {
 #ifdef __XENO__
-    int status=rt_mutex_acquire(&mutex,TM_INFINITE);
-    if(status!=0) self->Err("error (%s)\n",strerror(-status));
-    memcpy(buf,mem_segment,size);
-    status=rt_mutex_release(&mutex);
-    if(status!=0) self->Err("error (%s)\n",strerror(-status));
+  int status = rt_mutex_acquire(&mutex, TM_INFINITE);
+  if (status != 0)
+    self->Err("error (%s)\n", strerror(-status));
+  memcpy(buf, mem_segment, size);
+  status = rt_mutex_release(&mutex);
+  if (status != 0)
+    self->Err("error (%s)\n", strerror(-status));
 #else
-    sem_wait(sem);
-    memcpy(buf,mem_segment,size);
-    sem_post(sem);
+  sem_wait(sem);
+  memcpy(buf, mem_segment, size);
+  sem_post(sem);
 #endif
 }
Index: trunk/lib/FlairCore/src/Socket.cpp
===================================================================
--- trunk/lib/FlairCore/src/Socket.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/Socket.cpp	(revision 15)
@@ -23,59 +23,67 @@
 using std::string;
 
-namespace flair
-{
-namespace core
-{
+namespace flair {
+namespace core {
 
-Socket::Socket(const Object* parent, string name,uint16_t port): Object(parent,name) {
-    pimpl_=new Socket_impl(this,name,port);
+Socket::Socket(const Object *parent, string name, uint16_t port)
+    : Object(parent, name) {
+  pimpl_ = new Socket_impl(this, name, port);
 }
 
-Socket::Socket(const Object* parent, string name,string address,bool broadcast): Object(parent,name) {
-    pimpl_=new Socket_impl(this,name,address,broadcast);
+Socket::Socket(const Object *parent, string name, string address,
+               bool broadcast)
+    : Object(parent, name) {
+  pimpl_ = new Socket_impl(this, name, address, broadcast);
 }
 
-Socket::~Socket() {
-    delete pimpl_;
+Socket::~Socket() { delete pimpl_; }
+
+void Socket::SendMessage(const char *message, size_t message_len) {
+  pimpl_->SendMessage(message, message_len);
 }
 
-void Socket::SendMessage(const char* message,size_t message_len) {
-    pimpl_->SendMessage(message,message_len);
+void Socket::SendMessage(string message) { pimpl_->SendMessage(message); }
+
+ssize_t Socket::RecvMessage(char *buf, size_t buf_len, Time timeout, char *src,
+                            size_t *src_len) {
+  return pimpl_->RecvMessage(buf, buf_len, timeout, src, src_len);
 }
 
-void Socket::SendMessage(string message) {
-    pimpl_->SendMessage(message);
+void Socket::NetworkToHost(char *data, size_t dataSize) {
+  if (core::IsBigEndian())
+    return;
+  if (dataSize == 1)
+    return;
+  if ((dataSize == 2) || (dataSize == 4) || (dataSize == 8) ||
+      (dataSize == 16)) {
+    char dataInHostEndianness[dataSize];
+    for (unsigned int i = 0; i < dataSize; i++) {
+      dataInHostEndianness[i] = data[dataSize - i - 1];
+    }
+    memcpy(data, dataInHostEndianness, dataSize);
+    return;
+  }
+  throw std::runtime_error(
+      string("Unsupported data size (") + std::to_string(dataSize) +
+      string(") in host to network endianness conversion"));
 }
 
-ssize_t Socket::RecvMessage(char* buf,size_t buf_len,Time timeout,char* src,size_t* src_len) {
-    return pimpl_->RecvMessage(buf,buf_len,timeout,src,src_len);
-}
-
-void Socket::NetworkToHost(char *data,size_t dataSize) {
-    if (core::IsBigEndian()) return;
-    if (dataSize==1) return;
-    if ((dataSize==2)||(dataSize==4)||(dataSize==8)||(dataSize==16)) {
-        char dataInHostEndianness[dataSize];
-        for (unsigned int i=0;i<dataSize;i++) {
-            dataInHostEndianness[i]=data[dataSize-i-1];
-        }
-        memcpy(data,dataInHostEndianness,dataSize);
-        return;
+void Socket::HostToNetwork(char *data, size_t dataSize) {
+  if (IsBigEndian())
+    return;
+  if (dataSize == 1)
+    return;
+  if ((dataSize == 2) || (dataSize == 4) || (dataSize == 8) ||
+      (dataSize == 16)) {
+    char dataInNetworkEndianness[dataSize];
+    for (unsigned int i = 0; i < dataSize; i++) {
+      dataInNetworkEndianness[i] = data[dataSize - i - 1];
     }
-    throw std::runtime_error(string("Unsupported data size (")+std::to_string(dataSize)+string(") in host to network endianness conversion"));
-}
-
-void Socket::HostToNetwork(char *data,size_t dataSize) {
-    if (IsBigEndian()) return;
-    if (dataSize==1) return;
-    if ((dataSize==2)||(dataSize==4)||(dataSize==8)||(dataSize==16)) {
-        char dataInNetworkEndianness[dataSize];
-        for (unsigned int i=0;i<dataSize;i++) {
-            dataInNetworkEndianness[i]=data[dataSize-i-1];
-        }
-        memcpy(data,dataInNetworkEndianness,dataSize);
-        return;
-    }
-    throw std::runtime_error(string("Unsupported data size (")+std::to_string(dataSize)+string(") in host to network endianness conversion"));
+    memcpy(data, dataInNetworkEndianness, dataSize);
+    return;
+  }
+  throw std::runtime_error(
+      string("Unsupported data size (") + std::to_string(dataSize) +
+      string(") in host to network endianness conversion"));
 }
 
Index: trunk/lib/FlairCore/src/Socket.h
===================================================================
--- trunk/lib/FlairCore/src/Socket.h	(revision 14)
+++ trunk/lib/FlairCore/src/Socket.h	(revision 15)
@@ -20,87 +20,89 @@
 class Socket_impl;
 
-namespace flair
-{
-namespace core
-{
+namespace flair {
+namespace core {
 
-    /*! \class Socket
-    *
-    * \brief Class encapsulating a UDP socket. It assumes packets are coming from only one distant host on a given port.
-    *
-    */
-    class Socket: public Object {
-    public:
-        /*!
-        * \brief Constructor
-        *
-        * Construct the client side of the socket
-        *
-        * \param parent parent
-        * \param name name
-        * \param address server address (ex 192.168.1.1:9000)
-        * \param broadcast true if address is a broadcast address
-        */
-        Socket(const Object* parent, std::string name,std::string address,bool broadcast=false);
+/*! \class Socket
+*
+* \brief Class encapsulating a UDP socket. It assumes packets are coming from
+*only one distant host on a given port.
+*
+*/
+class Socket : public Object {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct the client side of the socket
+  *
+  * \param parent parent
+  * \param name name
+  * \param address server address (ex 192.168.1.1:9000)
+  * \param broadcast true if address is a broadcast address
+  */
+  Socket(const Object *parent, std::string name, std::string address,
+         bool broadcast = false);
 
-        /*!
-        * \brief Constructor
-        *
-        * Construct the server side of the socket
-        *
-        * \param parent parent
-        * \param name name
-        * \param port listening port
-        */
-        Socket(const Object* parent, std::string name,uint16_t port);
+  /*!
+  * \brief Constructor
+  *
+  * Construct the server side of the socket
+  *
+  * \param parent parent
+  * \param name name
+  * \param port listening port
+  */
+  Socket(const Object *parent, std::string name, uint16_t port);
 
-        /*!
-        * \brief Destructor
-        *
-        */
-        ~Socket();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Socket();
 
-        /*!
-        * \brief Send a message
-        *
-        * In case of a broadcast Socket, Parent()->ObjectName() is used as source of the message, this name should be unique.
-        *
-        * \param message message
-        */
-        void SendMessage(std::string message);
+  /*!
+  * \brief Send a message
+  *
+  * In case of a broadcast Socket, Parent()->ObjectName() is used as source of
+  *the message, this name should be unique.
+  *
+  * \param message message
+  */
+  void SendMessage(std::string message);
 
-        /*!
-        * \brief Send a message
-        *
-        * \param message message
-        * \param message_len message length
-        */
-        void SendMessage(const char* message,size_t message_len);
+  /*!
+  * \brief Send a message
+  *
+  * \param message message
+  * \param message_len message length
+  */
+  void SendMessage(const char *message, size_t message_len);
 
-        /*!
-        * \brief Receive a message
-        *
-        * Receive a message and wait up to timeout. \n
-        * If src and src_len are specified, the source of the message will be
-        * copied in the src buffer. \n
-        * Note that in case of a broadcast socket, own messages are filtered and
-        * are not received.
-        *
-        * \param buf buffer to put the message
-        * \param buf_len buffer length
-        * \param timeout timeout
-        * \param src buffer to put source name
-        * \param src_len buffer length
-        *
-        * \return size of the received message
-        */
-        ssize_t RecvMessage(char* buf,size_t buf_len,Time timeout,char* src=NULL,size_t* src_len=NULL);
+  /*!
+  * \brief Receive a message
+  *
+  * Receive a message and wait up to timeout. \n
+  * If src and src_len are specified, the source of the message will be
+  * copied in the src buffer. \n
+  * Note that in case of a broadcast socket, own messages are filtered and
+  * are not received.
+  *
+  * \param buf buffer to put the message
+  * \param buf_len buffer length
+  * \param timeout timeout
+  * \param src buffer to put source name
+  * \param src_len buffer length
+  *
+  * \return size of the received message
+  */
+  ssize_t RecvMessage(char *buf, size_t buf_len, Time timeout, char *src = NULL,
+                      size_t *src_len = NULL);
 
-        void NetworkToHost(char *data,size_t dataSize);
-        void HostToNetwork(char *data,size_t dataSize);
+  void NetworkToHost(char *data, size_t dataSize);
+  void HostToNetwork(char *data, size_t dataSize);
 
-    private:
-       class Socket_impl* pimpl_;
-    };
+private:
+  class Socket_impl *pimpl_;
+};
 
 } // end namespace core
